import App from "./App.vue";
import * as filters from './filters' // global filters
import router from "./router"

import "./styles/index.scss"

import {
  Table,
  Select,
  Option,
  DatePicker
} from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';

import Reports from "@/ccomponents/reports"

Vue.component(Table.name, Table);
Vue.component(Select.name, Select);
Vue.component(Option.name, Option);
Vue.component(DatePicker.name, DatePicker);
Vue.use(Reports)

Vue.use(router)

Object.keys(filters).forEach(key => Vue.filter(key, filters[key]))
Vue.config.productionTip = false;

window.vm = new Vue({
  router,
  render: h => h(App)
}).$mount("#app");
